## eds-sync 3.20080313

=== debian/changelog ===
eds-sync (3.20080313) unstable; urgency=low

  * Check GErrors before using them. That's a) good habit and b) necessary in order
    to avoid crashers when calling methods on dead GProxies. We should handl
    this correctly, by connecting to "destroy", but that requires a bit of
    re-design first. Fixes: NB#78597, NB#82480

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 13 Mar 2008 17:35:17 +0200

eds-sync (2.20071207) unstable; urgency=low

  * Don't abort if there is no publish-group; instead give warnings whenever a publish-group
    would be required. This should give us compatibiltiy with haze.
  * Don't crash if mission_control_get_account_for_connection returns NULL, but does not set
    GError; Fixes: NB#75369
  * Fix unsigned int comparison bug, that would result in just downloaded avatars being
    expired. Also use atime instead of mtime to determine whether an avatar is no longer in
    use; Fixes: NB#75048

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  7 Dec 2007 13:04:19 +0200

eds-sync (2.20070913) unstable; urgency=low

  * Fix my stupidity

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 13 Sep 2007 13:07:51 +0300

eds-sync (2.20070911) unstable; urgency=low

  * Handle known avatars better (Fixes: NB#61341)
  * Don't remove manual contacts which have been blocked

 -- Ross Burton <ross@openedhand.com>  Tue, 11 Sep 2007 16:04:59 +0100

eds-sync (2.20070711) unstable; urgency=low

  * Treat empty tokens as "unknown whether there is an avatar", not
    as "we know there is no avatar"; this will break clearing of avatars
    but unbreak caching
  * Fixes: NB#55556, NB#59600, NB#60972, NB#52014, NB#62836
  * Correctly handle the case where a telepathy handle is refered to by
    multiple eds contacts
  * Fixes: NB#49582, NB#49600, NB#49614, NB#58406

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 11 Jul 2007 17:14:54 +0300

eds-sync (2.20070706.1) unstable; urgency=low

  * Rewrite all of the avatar code, should perform a lot faster now.

 -- Ross Burton <ross@openedhand.com>  Fri,  6 Jul 2007 14:25:31 +0100

eds-sync (2.20070706) unstable; urgency=low

  * Fix small typo that prevented the whole thing from working;
    Remove avatar if we get an empty token instead of firing

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  6 Jul 2007 10:41:49 +0300

eds-sync (2.20070705) unstable; urgency=low

  * Use RequestAvatars for faster avatar fetching
  * Sync known members (Fixes: NB#56585)

 -- Ross Burton <ross@openedhand.com>  Thu,  5 Jul 2007 11:38:34 +0100

eds-sync (2.20070604) unstable; urgency=low

  * Store the avatars on disk using the VCard field for the service instead of the bound account (Emmanuele).
  * Don't try committing an empty list of contacts (Ross)
  * Replace bound-account username with normalized version in syncroniced vcards if necessary (Joergen)
  * Fix distcheck by forcing the dummy notification system (Ross)

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon,  4 Jun 2007 15:35:34 +0300

eds-sync (2.20070531) unstable; urgency=low

  * Handle duplicate contacts (Fixes: NB#50074)
  * Do batch commits
  * Set the alias when adding contacts to the rosters

 -- Ross Burton <ross@openedhand.com>  Thu, 31 May 2007 15:34:39 +0300

eds-sync (2.20070518) unstable; urgency=low

  * Fix avatar fetching when the index file doesn't exist.

 -- Ross Burton <ross@openedhand.com>  Fri, 18 May 2007 14:36:27 +0100

eds-sync (2.20070507) unstable; urgency=low

  * Do not try to download avatars we already have in the cache on every run
  * Use async libtelepathy-call to download avatars, because this call will
    not return before the avatar is downloaded from the server
  * Use tp_conn_new_without_connect instead of tp_conn_new
  * fix some crashes and failed asserts

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon,  7 May 2007 16:26:12 +0300

eds-sync (2.20070503) unstable; urgency=low

  * Abstract notification, so osso-contact-plugin isn't a hard dependency.

 -- Ross Burton <ross@openedhand.com>  Thu,  3 May 2007 10:34:57 +0100

eds-sync (2.20070501) unstable; urgency=low

  * Store multiple contact UID in the account-to-contact map
  * Clean up the code base
  * Do not leak private data structures when finalizing
  * Return better error messages
  * Remove compilation warnings and add more header guards

 -- Emmanuele Bassi <ebassi@openedhand.com>  Tue,  1 May 2007 11:15:58 +0100

eds-sync (2.20070403) unstable; urgency=low

  * Fix avatar cache update and expiration.

 -- Emmanuele Bassi <ebassi@openedhand.com>  Tue,  3 Apr 2007 16:55:58 +0100

eds-sync (2.20070326.1) unstable; urgency=low

  * removed dependency on the deprecated package 'mission-control'

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Mon, 26 Mar 2007 18:34:36 +0300

eds-sync (2.20070326) unstable; urgency=low

  * Fix manual contact last-used calculation
  * Optionally depend on osso-contact-plugin

 -- Ross Burton <ross@openedhand.com>  Mon, 26 Mar 2007 13:54:58 +0100

eds-sync (2.20070305) unstable; urgency=low

  * Initial support for manual contacts.

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Mar 2007 16:24:06 +0000

eds-sync (2.20070213) unstable; urgency=low

  * Use the right function when freeing a list (fixes a crasher)
  * Don't spew warnings when the avatar cache doesn't exist yet
  * Poke mission-control when the self avatar changes

 -- Ross Burton <ross@openedhand.com>  Tue, 13 Feb 2007 15:52:42 +0000

eds-sync (2.20070205) unstable; urgency=low

  * Expire old avatars
  * Emit a signal when an avatar has changed
  * Change avatar cache policy -- a key file not stores a username->token
    map.

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Feb 2007 17:10:59 +0000

eds-sync (2.20070119) unstable; urgency=low

  * Delete unset avatars
  * Cache the result from inspect handle calls


