=== debian/control ===
Source: eds-sync
Section: misc
Priority: optional
Maintainer: Onne Gorter <onne.gorter@nokia.com>
Build-Depends: debhelper (>= 4.1.16), libdbus-glib-1-dev, libtelepathy-dev (>= 0.0.55-0osso3), libebook-dev (>= 1.4.1-0osso20060921), libmissioncontrol-dev (>= 4.1), osso-contact-plugin-dev
Standards-Version: 3.6.2

Package: eds-sync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sync Telepathy rosters into EDS
 Sync Telepathy rosters into EDS.

Package: eds-sync-dbg
Architecture: any
Depends: eds-sync (= ${Source-Version})
Description: Sync Telepathy rosters into EDS (debugging symbols)
 Sync Telepathy rosters into EDS.
 .
 This package contains the debugging symbols.
